Package org.pushingpixels.substance.flamingo.common

# Interface TransitionAwareResizableIcon.Delegate

Enclosing class:
  `TransitionAwareResizableIcon`

public static interface TransitionAwareResizableIcon.Delegate
The delegate needs to implement the method in this interface based on the provided theme. The theme is computed based on the transitions that are happening on the associated button.

## Method Summary

Modifier and Type
Method
Description
`Icon`
`getColorSchemeIcon(org.pushingpixels.substance.api.SubstanceColorScheme scheme, int width, int height)`
Returns the icon that matches the specified theme.

## Method Details

### getColorSchemeIcon

Icon getColorSchemeIcon(org.pushingpixels.substance.api.SubstanceColorScheme scheme, int width, int height)
Returns the icon that matches the specified theme.

Parameters:
  `scheme` - Color scheme.
  `width` - Icon width.
  `height` - Icon height.
Returns:
  Icon that matches the specified theme.